"""
PyGL3Display
(C) David Griffin (2010-present)
"Habilain" is a pseudonym used by David Griffin in a number of places.

A high performance Pygame OpenGL library, capable of handling 1000s of sprites

Requirements: Python, Pygame, PyOpenGL, Open GL 2.0 graphics hardware

Licensed under GPLv2 or GPLv3. You should have received a copy of both of these
licenses in the files GPLv2.txt and GPLv3.txt. If not these licenses can be
found at http://www.gnu.org/licenses/gpl-2.0.html (GPLv2) and
http://www.gnu.org/licenses/gpl-3.0.html (GPLv3). By using this file you agree
to be bound by at least one of these licenses.

Other licenses, including commercial/proprietary licenses, can be arranged by 
contacting me via e-mail at habilain@gmail.com. If you do not have in physical 
writing an alternative license agreement from me, you must use one of the 
licenses specified above when releasing work which makes use of this library.

triangleExample.py

This file provides an example of PyGL3Display triangles.
Also provides the major test case.
"""

import math
from exampleskeleton import *

class TestApp(ExampleSkeleton):
    def __init__(self):
        """Initialise the test app data"""
        super(TestApp, self).__init__('Ellipses', (350, 350))
        
    def init(self):
        """Create example content after context created"""
        red = (255, 0, 0, 255)
        green = (0, 255, 0, 255)
        blue = (0, 0, 255, 255)
        self.ellipse1 = Ellipse(dx=50, dy=50, pos=(100, 100), color=red, 
                                antialiasing=0.1)
        self.ellipse2 = Ellipse(dx=25, dy=75, pos=(100, 250), rotation = math.pi/4, 
                                color=green)

if __name__ == '__main__':
    demo = TestApp()
    demo.run()
