#!/usr/bin/env python

from distutils.core import setup

setup(name='pygl3display',
      version='1.9-beta1',
      description='A high performance 2d Python OpenGL Library',
      author='David Griffin',
      author_email='habilain@gmail.com',
      url='https://launchpad.net/pygl3display',
      packages=['pygl3display', 'pygl3display.backends'],
      requires=['pyopengl', 'pygame'],
      long_description="""PyGL3Display is a high performance, OpenGL, 2D sprite library for Python/Pygame with a simple API, not too dissimilar to Pygames (There's an API compatible Image object, and Sprites are not too dissimilar). It requires slightly more recent hardware than other libraries, but it is "breaks the Pygame FPS counter" fast*.

License: GPL v2 / v3. Commercial licenses are negotiable - at least on parts which I have copyright on (as I am open to outside contribution).
Requirements: Python 2.x, Pygame, PyOpenGL, OpenGL 2.0 compliant system""",
      license="""PyGL3Display is licensed under either the GPL v2.0 or GPL v3.0. The author is willing to negotiate other licenses, include commercial, on code that he owns copyright of (presently, all of it)""",
      keywords = ['OpenGL', 'PyOpenGL', 'Pygame', 'library', '2D', 'display'],
      platforms = ['win32', 'win64', 'linux', 'linux64', 'max os x',]
     )
